graphlcd-base 2.0.0 verfügbar

  • Ich habe gerade mal ein Feature eingecheckt das hier schon länger rumliegt und zur besseren Unterscheidung dann auch gleich die Version auf 2.0.0 angehoben.


    Wesentliche Änderung betrifft die Behandlung von Font-Dateien für Graphlcd-Skins. Bisher mussten die ".ttf"-Dateien zwingend in irgendeiner Form mit dem Skin ausgeliefert werden. Das ist mit der neuen Version von graphlcd-base zwar noch möglich und wenn die Fonts da sind werden sie auch bevorzugt. Wenn sie aber fehlen wird nun fontconfig nach den System-Font-Pfaden gefragt um in diesen Pfaden nach der TTF-Datei zu suchen.


    Das macht es Distributoren nun möglich die (mittlerweile stark veralteten) Font-Dateien in den Graphlcd-Skin-Paketen einfach zu löschen und stattdessen auf das Paket eine Abhängigkeit zum passenden Font-Paket zu setzen.

  • Nachtrag: Und um ggf. direkt an mich gewendete Pull-Requests oder Issues annehmen zu können jetzt auch parallel auf GitHub. Ist dort ganz bewusst als private Arbeitskopie gekennzeichnet mit Link auf die offizielle Projektseite!


    https://github.com/M-Reimer/graphlcd-base


    Vom VDR-Plugin werde ich selber keinen Mirror nach GitHub legen. Mangels Möglichkeit das VDR-Plugin selber zu testen sehe ich mich da nicht als direkte Ansprechperson und hoffe das ggf. in Zukunft Fixes aus der Community kommen (welche ich nach kurzem drüberschauen dann gerne auch ins offizielle GIT pushe).